WESNOTH(6)

NAAM
wesnoth - Strijd om Wesnoth, een turn-based strategie spel

OVERZICHT
wesnoth [OPTIES] [PATH_TO_DATA]

OMSCHRIJVING
Strijd om Wesnoth is een turn-based strategie spel. Versla alle vijandelijke leiders met een goed uitgekozen troepenmacht, beheer ondertussen goud en dorpen. Alle eenheden hebben hun eigen krachten en zwaktes; om te winnen, ontwikkel hun krachten en ontneem je tegenstanders de kans om het zelfde te doen. Terwijl eenheden ervaring opdoen ontwikkelen ze nieuwe mogelijkheden en worden ze krachtiger. Speel in je eigen taal en test je kwaliteiten tegen slimme computertegenstanders of voeg je bij Wesnoth haar grote gemeenschap van online spelers. Maak je eigen eenheden, scenarios en deel ze met anderen.

OPTIES

--bpp nummer
    stelt BitsPerPixel waarde in. Bijvoorbeeld --bpp 32

--compress invoerbestand uitvoerbestand
    comprimeert een in tekst WML opgeslagen spel (invoerbestand) naar een binair WML formaat (uitvoerbestand).

-d, --debug
    toont extra debug informatie en maakt meer bestuurmodeopties tijdens het spel mogelijk (bekijk de webpagina op http://www.wesnoth.org/wiki/CommandMode voor meer informatie hierover).

--decompress invoerbestand uitvoerbestand
    pakt een bestand (invoerbestand) van een binair WML fromaat naar een tekst WML formaat (uitvoerbestand).

-f, --fullscreen
    start het spel in volledig scherm.

--fps
    toont in de hoek van het scherm het aantal frames per seconde waarmee het spel momenteel draait.

--gunzip invoerbestand.gz
    pakt een gzip formaat bestand uit en bewaart het zonder de .gz extensie. De invoerbestand.gz zal verwijderd worden.

--gzip invoerbestand
    comprimeert een bestand in gzip formaat, bewaart het als invoerbestand.gz en verwijdert I <invoerbestand>

-h, --help
    toont een samenvatting van command line opties en sluit af.

--load opgeslagen spel
    laad het bewaarde bestand vanuit de standaard save game map.

--log-niveau=domein1,domein2,...
    stelt het meldingsniveau van de logdomeinen in. all kan gebruikt worden om alle logdomeinen te kiezen. Beschikbare niveaus zijn error, warning, info, debug. De standaard is error.

--logdomeinen
    Dumpt een lijst met alle logdomeinen en sluit af.

--max-fps
    het aantal beelden per seconde dat het spel kan tonen, de waarde moet tussen 1 en 1000 zijn, standaard is 50

--multiplayer
    start een multiplayer spel. Er zijn meer opties die samen met --multiplayer gebruikt kunnen worden zoals hieronder beschreven.

--nocache
    schakelt het afvangen van speldata uit.

--nosound
    draait het spel zonder effecten en muziek.

--path
    toont het pad van de speldata map en sluit af.

-r XxY, --resolution XxY
    bepaalt de beeldresolutie. Bijvoorbeeld: -r 800x600

-t, --test
    draait het spel in een klein test scenario.

-v, --version
    toont het versienummer en sluit af.

-w, --windowed
    start het spel in een venster.

--no-delay
    start het spel zonder enige vertraging voor grafische snelheidstesten. Dit is automatisch ingeschakeld bij --nogui.

--nogui
    draait het spel zonder GUI. Dient voor --multiplayer geplaatst om het gewenste effect te hebben.

--exit-at-end
    sluit af als het scenario afgelopen is, zonder overwinning/verlies scherm te tonen waarbij de gebruiker op ok dient te drukken.

Opties voor --multiplayer
De zijde specifieke meerspeleropties zijn gemarkeerd met nummer. nummer dient vervangen te worden door een zijdenummer. Meestal is dit 1 of 2 maar het hangt af van het aantal mogelijke spelers in het gekozen scenario.

--algorithmnummer=waarde
    kiest een niet-standaard algoritme om te gebruiken door de KI bestuurder voor deze zijde. Beschikbare waarden: idle_ai en sample_ai.

--controllernummer=waarde
    selecteert de bestuurder voor deze zijde. Beschikbare waarden: human en ai.

--era=waarde
    gebruik deze optie om in het geselecteerde tijdperk te spelen in plaats van in Default. Het tijdperk wordt gekozen door een id. deze zijn beschreven in data/multiplayer.cfg.

--parmnummer=naam:waarde
    stelt aanvullende parameters in voor deze zijde. Deze parameter hangt af van de opties gebruikt bij --controller en --algorithm. Het is enkel nuttig voor mensen die hun eigen KI ontwerpen. (nog niet volledig gedocumenteerd)

--scenario=waarde
    selecteert een meerspelerscenario. Het standaard scenario is multiplayer_The_Freelands.

--sidenummer=waarde
    selecteert een factie uit het geselecteerde tijdperk voor deze partij. De factie wordt gekozen op basis van een id. Facties worden beschreven in het data/multiplayer.cfg bestand.

--turns=waarde
    stelt het aantal zetten voor het gekozen scenario in. De standaard is 50.

Voorbeeld om je eigen KI tegen de standaard KI te testen zonder de GUI te starten.
    wesnoth --nogui --multiplayer --controller1=ai --controller2=ai --algorithm2=python_ai --parm2=python_script:py/my_own_python_ai.py

AUTEUR
Geschreven door David White <davidnwhite@verizon.net>.
Bewerkt door Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net> en Soliton <soliton.de@gmail.com>.
Deze handleiding is oorspronkelijk geschreven door Cyril Bouthors <cyril@bouthors.org>.
Bezoek de officiele website: http://www.wesnoth.org/

COPYRIGHT
Copyright © 2003-2007 David White <davidnwhite@verizon.net>
Dit Programma is vrije software; deze software is gelicenceerd onder de GPL versie 2, zoals door de Free Software Foundation gepubliceerd, maar komt ZONDER EENDER WELKE GARANTIE zelfs zonder de impliciete garantie van VERKOOPBAARHEID of GESCHIKTHEID VOOR EEN BEPAALD DOEL.

BEKIJK OOK
wesnoth_editor(6), wesnothd(6)